Subject: Ticket Assigned - Delivery complaint
From: Babyshop <[email-masked]>
To: [email-masked]
Date: Tue, 27 Jul 2021 07:08:41 +0000

Hi Prince Malik,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Delivery complaint Hello Dear Sirs! I have no problems with Babyshop products and services Always your company is the best! Today it was as issue with one of delivery guys He came to the wrong building and didn't give me a chance to explain correct location He was really very rude and fighting with me My location Is AL Hatboor building in Dubai Silicon Oasis and I add land mark VIVA supermarket, because there is one more building similar name Al Habtoor Delivery person he came to the wrong one And he rejected to do delivery same time to the correct address He said he would deliver next day before 1pmAnd I'm not able to get my order tomorrow.,so I have to cancel it
Order details :
Delivery person contact number :+971 55 412 7806
His name I don't know Thank you! 
Sent from Yahoo Mail on Android
 https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/2905752